org.apache.ignite.internal.processors.platform.utils

## Class PlatformConfigurationUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.utils.PlatformConfigurationUtils

    public class PlatformConfigurationUtils
    extends Object

Configuration utils.

### Method Summary

Methods
`static PlatformAffinityFunction` `readAffinityFunction(BinaryRawReaderEx in)` Reads the eviction policy.
`static CacheConfiguration` `readCacheConfiguration(BinaryRawReaderEx in)` Reads cache configuration from a stream.
`static void` `readIgniteConfiguration(BinaryRawReaderEx in, IgniteConfiguration cfg)` Reads Ignite configuration.
`static NearCacheConfiguration` `readNearConfiguration(BinaryRawReader in)` Reads the near config.
`static void` `writeCacheConfiguration(BinaryRawWriter writer, CacheConfiguration ccfg)` Writes cache configuration.
`static void` `writeDotNetConfiguration(BinaryRawWriterEx writer, PlatformDotNetConfiguration cfg)` Write .Net configuration to the stream.
`static void` `writeIgniteConfiguration(BinaryRawWriter w, IgniteConfiguration cfg)` Writes Ignite configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeDotNetConfiguration

    public static void writeDotNetConfiguration(BinaryRawWriterEx writer,
                                PlatformDotNetConfiguration cfg)

Write .Net configuration to the stream.

Parameters:
  `writer` - Writer.
  `cfg` - Configuration.

#### readCacheConfiguration

    public static CacheConfiguration readCacheConfiguration(BinaryRawReaderEx in)

Reads cache configuration from a stream.

Parameters:
  `in` - Stream.
Returns:
  Cache configuration.

#### readNearConfiguration

    public static NearCacheConfiguration readNearConfiguration(BinaryRawReader in)

Reads the near config.

Parameters:
  `in` - Stream.
Returns:
  NearCacheConfiguration.

#### readAffinityFunction

    public static PlatformAffinityFunction readAffinityFunction(BinaryRawReaderEx in)

Reads the eviction policy.

Parameters:
  `in` - Stream.
Returns:
  Affinity function.

#### readIgniteConfiguration

    public static void readIgniteConfiguration(BinaryRawReaderEx in,
                               IgniteConfiguration cfg)

Reads Ignite configuration.

Parameters:
  `in` - Reader.
  `cfg` - Configuration.

#### writeCacheConfiguration

    public static void writeCacheConfiguration(BinaryRawWriter writer,
                               CacheConfiguration ccfg)

Writes cache configuration.

Parameters:
  `writer` - Writer.
  `ccfg` - Configuration.

#### writeIgniteConfiguration

    public static void writeIgniteConfiguration(BinaryRawWriter w,
                                IgniteConfiguration cfg)

Writes Ignite configuration.

Parameters:
  `w` - Writer.
  `cfg` - Configuration.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017